EDITING DELEGATE: shouldBeginEditingInDOMRange:range from 0 of DIV > BODY > HTML > #document to 1 of DIV > BODY > HTML > #document
EDITING DELEGATE: webViewDidBeginEditing:WebViewDidBeginEditingNotification
EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
EDITING DELEGATE: shouldChangeSelectedDOMRange:range from 1 of DIV > BODY > HTML > #document to 1 of DIV > BODY > HTML > #document toDOMRange:range from 0 of LI > UL > DIV > BODY > HTML > #document to 0 of LI > UL > DIV > BODY > HTML > #document affinity:NSSelectionAffinityDownstream stillSelecting:FALSE
EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
EDITING DELEGATE: webViewDidChange:WebViewDidChangeNotification
layer at (0,0) size 800x600
  RenderView at (0,0) size 800x600
layer at (0,0) size 800x600
  RenderBlock {HTML} at (0,0) size 800x600
    RenderBody {BODY} at (8,8) size 784x576
      RenderBlock {P} at (0,0) size 784x40
        RenderText {#text} at (0,0) size 514x19
          text run at (0,0) width 514: "This test pushes a horizontal rule into an unordered list with InsertUnorderedList. "
        RenderInline {B} at (0,0) size 751x39
          RenderText {#text} at (514,0) size 751x39
            text run at (514,0) width 237: "This demonstrates what might be a"
            text run at (0,20) width 31: "bug:"
        RenderText {#text} at (31,20) size 421x19
          text run at (31,20) width 421: " the horizontal rule appears before the list marker in the render tree."
      RenderBlock {DIV} at (0,56) size 784x30
        RenderBlock {UL} at (0,0) size 784x30
          RenderListItem {LI} at (40,0) size 744x30
            RenderBlock (anonymous) at (0,10) size 744x20
              RenderListMarker at (-18,0) size 7x19: bullet
layer at (48,64) size 744x2 clip at (0,0) size 0x0
  RenderBlock {HR} at (0,0) size 744x2 [color=#808080] [border: (1px inset #808080)]
caret: position 0 of child 0 {HR} of child 0 {LI} of child 0 {UL} of child 2 {DIV} of body
